Method: dataTableRows.create

Full name: projects.locations.instances.dataTables.dataTableRows.create

Create a new data table row.

HTTP request

POST https://{endpoint}/v1/{parent}/dataTableRows

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The resource id of the data table. Format: /projects/{project}/locations/{location}/instances/{instance}/dataTables/{dataTable}

Request body

The request body contains an instance of DataTableRow.

Response body

If successful, the response body contains a newly created instance of DataTableRow.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.dataTableRows.create

For more information, see the IAM documentation.